# AzureBlob Importer

## Introduction

The AzureBlob importer takes files processed in migration-center and imports them into the target Azure Blob containers.

## Prerequisites

You will need the Azure Storage EndPoint and a SAS Token to connect the importer to Azure.

A standard **Azure Storage Endpoint** includes the unique storage account name along with a fixed domain name. The format of a standard endpoint is:

&#x20;`https://<storage-account>.blob.core.windows.net`

For more information about the Azure Endpoints see: <https://learn.microsoft.com/en-us/azure/storage/blobs/storage-blob-query-endpoint-srp?tabs=dotnet>

To generate the **SAS Token** follow the Azure documentation here: <https://learn.microsoft.com/en-us/azure/ai-services/translator/document-translation/how-to-guides/create-sas-tokens?tabs=Containers>

## Importer Configuration

### Importer Parameters

* #### azureStorageEndPoint

  The Azure storage endpoint used to connect to Azure. See [Prerequisites](#prerequisites).
* **sasToken**\
  The SAS Token used to connect to Azure. See [Prerequisites](#prerequisites).
* **loggingLevel**\
  See [Common Parameters](/25.2/common-parameters.md#logging-level).

## Migset System Rules

### Documents

* **cache\_control**\
  The Azure document's cache control header. Used to manage the expiration of blob storage in Azure CDN. \
  See: <https://learn.microsoft.com/en-us/azure/cdn/cdn-manage-expiration-of-blob-content>
* **containerName**\
  The name of the Azure container where the document will be imported
* **content\_disposition**\
  The content disposition attribute of the Azure document. The Content-Disposition response header field conveys additional information about how to process the response payload.\
  See: <https://learn.microsoft.com/en-us/dotnet/api/azure.storage.blobs.models.blobproperties.contentdisposition?view=azure-dotnet>
* **content\_encoding**\
  The content encoding attribute of the Azure document.
* **content\_language**\
  The content language attribute of the Azure document.
* **content\_type**\
  The content type attribute of the Azure document. Sets the content file MIME Type.
* **fileName**\
  The file name of the document being imported.
* **folder\_path**\
  The Azure folder path where the document will be created
* **mc\_content\_location**\
  The content location of document. If not set, the content will correspond with the source object content location
* **target\_type**\
  The target type representing the AzureBlob document type.

## Metadata

You can set Azure Metadata attributes by adding attributes to the Object Type you will be using in the migset. The Object Type name is not relevant.

Any attribute present in the Object Type and associated in the migset will be set on your imported documents.

## Blob Index Tags

You can set Blob Index Tags by adding them to the Object Type and associating them in the migset, just like a regular Metadata attribute.

{% hint style="info" %}
Index Tag attributes name must have the format **index.\<name>**
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.migration-center.com/25.2/importers/azureblob-importer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
